E-MailRelay

Namespaces | Functions | Variables
gaddress6.cpp File Reference
`#include "gdef.h"`
`#include "gaddress6.h"`
`#include "gstr.h"`
`#include "gtest.h"`
`#include "gprocess.h"`
`#include "glog.h"`
`#include <algorithm>`
`#include <utility>`
`#include <cstring>`
`#include <climits>`
`#include <sys/types.h>`
`#include <sstream>`
`#include <vector>`
`#include <iomanip>`
`#include <array>`

Go to the source code of this file.

## Namespaces
namespace | GNet
| Network classes.

## Functions
bool | GNet::Address6Imp::shiftLeft (struct in6_addr &mask)
void | GNet::Address6Imp::shiftLeft (struct in6_addr &mask, unsigned int bits)
void | GNet::Address6Imp::reset (struct in6_addr &addr)
void | GNet::Address6Imp::fill (struct in6_addr &addr)
struct in6_addr | GNet::Address6Imp::make (unsigned int lhs_hi, unsigned int lhs_lo, unsigned int rhs)
void | GNet::Address6Imp::applyMask (struct in6_addr &addr, const struct in6_addr &mask)
struct in6_addr | GNet::Address6Imp::mask (unsigned int bits)
struct in6_addr | GNet::Address6Imp::masked (const struct in6_addr &addr_in, const struct in6_addr &mask)

## Variables
const char * | GNet::Address6Imp::port_separators = ":."
char | GNet::Address6Imp::port_separator = '.'

## Function Documentation

## ◆ applyMask()

void GNet::Address6Imp::applyMask | ( | struct in6_addr & | addr,
|  | const struct in6_addr & | mask
| ) |  |

Definition at line 384 of file gaddress6.cpp.

## ◆ fill()

void GNet::Address6Imp::fill | ( | struct in6_addr & | addr | ) |

Definition at line 370 of file gaddress6.cpp.

## ◆ make()

struct in6_addr GNet::Address6Imp::make | ( | unsigned int | lhs_hi,
|  | unsigned int | lhs_lo,
|  | unsigned int | rhs
| ) |  |

Definition at line 375 of file gaddress6.cpp.

## ◆ mask()

struct in6_addr GNet::Address6Imp::mask | ( | unsigned int | bits | ) |

Definition at line 391 of file gaddress6.cpp.

## ◆ masked()

struct in6_addr GNet::Address6Imp::masked | ( | const struct in6_addr & | addr_in,
|  | const struct in6_addr & | mask
| ) |  |

Definition at line 398 of file gaddress6.cpp.

## ◆ reset()

void GNet::Address6Imp::reset | ( | struct in6_addr & | addr | ) |

Definition at line 365 of file gaddress6.cpp.

## ◆ shiftLeft() [1/2]

bool GNet::Address6Imp::shiftLeft | ( | struct in6_addr & | mask | ) |

Definition at line 346 of file gaddress6.cpp.

## ◆ shiftLeft() [2/2]

void GNet::Address6Imp::shiftLeft | ( | struct in6_addr & | mask,
|  | unsigned int | bits
| ) |  |

Definition at line 360 of file gaddress6.cpp.

## Variable Documentation

## ◆ port_separator

char GNet::Address6Imp::port_separator = '.'

Definition at line 42 of file gaddress6.cpp.

## ◆ port_separators

const char* GNet::Address6Imp::port_separators = ":."

Definition at line 41 of file gaddress6.cpp.